# norootforbuild

Name:		volti
Version:	0.2.3
Release:	2.3

Summary:	An GTK+ application for controlling audio volume
License:	GPLv3
Group:		Productivity/Multimedia/Sound/Mixers
URL:		http://code.google.com/p/volti/

Source0:	%{name}-%{version}.tar.gz

Requires:	dbus-1-python pyalsaaudio python-gtk python-xlib
Requires:	python-base >= 2.6

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	python-devel update-desktop-files


%description
Volti is an GTK+ application for controlling audio volume from system
tray/notification area.

Features:

- no pulseaudio, gstreamer, phonon etc. only alsa is needed
- internal mixer application, but you can choose any mixer app you prefer
- left click opens volume scale (slider)
- scroll wheel on tray icon changes volume, increment in percents is
  configurable
- you can configure middle click to toggle 'mute' or 'show mixer'
- nice tooltip with card and volume info
- support multimedia keys on keyboard
- support desktop notifications on keys events
- you can control volti from command line or bind keys within your window
  manager





%prep
%setup -q -n %{name}-%{version}


%build


%install
%__python setup.py install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--install-purelib=%{py_sitedir}

%find_lang %{name}

%suse_update_desktop_file -r %{name} AudioVideo Mixer


%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}-mixer
%{_bindir}/%{name}-remote
%dir %{py_sitedir}/%{name}
%{py_sitedir}/%{name}*.egg-info
%{py_sitedir}/%{name}/*.py*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/icons/*
%dir %{_datadir}/%{name}/icons/*/*
%{_datadir}/%{name}/icons/*.png
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/icons/*/*/*.png
%{_datadir}/%{name}/preferences.glade
%{_mandir}/man1/%{name}-mixer.1.gz
%{_mandir}/man1/%{name}-remote.1.gz
%{_mandir}/man1/%{name}.1.gz
%if %suse_version == 1110
%dir %{_datadir}/locale/tr_TR
%dir %{_datadir}/locale/tr_TR/LC_MESSAGES
%endif


%changelog
* Thu Dec 30 2010 detlef@links2linux.de
- new upstream version <0.2.3>
  * select visible controls in mixer application
  * support for soundcards with split master channel such as M-Audio 2496,
    thanks to Marc Brevoort <kleinebre@hotmail.com>
  * fix issue with awesome window manager
  * bug fixes
* Sun Sep 12 2010 detlef@links2linux.de
- initial build for PackMan <0.2.2>
